#!/bin/sh

# 1. Install the IFTTT app on your mobile device
# 2. Go to https://maker.ifttt.com to connect to the Maker Channel
# 3. Create a new Applet
# 4. When defining the trigger, search for "Maker", e.g. IF: Maker "Receive a web request"
# 5. The action is up to you, but for example, you could choose Notifications to receive a message via the IFTTT mobile app
# 6. Specify your maker key and event name below
# 7. Add this script as a postflight script to your CCC backup tasks

maker_key="YOUR_KEY_HERE"
event="ccc_task_finished"

# No edits required past this line

src="$1"
dest="$2"
status="$3"

if [ "$status" = "89" ]; then
	# the task was cancelled by the user
	exit 0
elif [ "$status" = "0" ]; then
	result="Success"
elif [ "$status" = "1050" ]; then
	result="Some errors occurred"
else
	result="The backup task failed"
fi

data=`printf "{\"value1\":\"%s\",\"value2\":\"%s\",\"value3\":\"%s\"}" "$src" "$dest" "$result"`
echo "$data" | curl -X POST -H "Content-Type: application/json" -d @- https://maker.ifttt.com/trigger/$event/with/key/$maker_key
